com.amos.server.webrtc

## Class SetupStates

- java.lang.Object
- - com.amos.server.webrtc.SetupStates

-     public class SetupStates
      extends java.lang.Object

  # SetupStates class

  This class contains all the constants that are going to be used to describe the behavior of the WebRTC stream protocol and the ADB connection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASKING_PERMISSIONS`
    `static int` | `ERROR_CONNECTING_SERVER`
    `static int` | `FAIL_CREATING_LOCAL_DESCRIPTOR`
    `static int` | `FAIL_CREATING_REMOTE_DESCRIPTOR`
    `static int` | `FAIL_SENDING_SESSION_DESCRIPTOR`
    `static int` | `FAIL_SETTED_LOCAL_DESCRIPTION`
    `static int` | `FAIL_SETTED_REMOTE_DESCRIPTION`
    `static int` | `LOCAL_DESCRIPTOR_CREATE`
    `static int` | `LOCAL_DESCRIPTOR_SETTED`
    `static int` | `PERMISSIONS_FOR_SCREENCAST_DENIED`
    `static int` | `REMOTE_DESCRIPTOR_CREATE`
    `static int` | `REMOTE_DESCRIPTOR_SETTED`
    `static int` | `SETUP_SCREEN_CONNECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetupStates()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_CONNECTING_SERVER

          public static final int ERROR_CONNECTING_SERVER

      See Also:
        Constant Field Values

    - #### FAIL_SENDING_SESSION_DESCRIPTOR

          public static final int FAIL_SENDING_SESSION_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### FAIL_CREATING_REMOTE_DESCRIPTOR

          public static final int FAIL_CREATING_REMOTE_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### FAIL_CREATING_LOCAL_DESCRIPTOR

          public static final int FAIL_CREATING_LOCAL_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### FAIL_SETTED_LOCAL_DESCRIPTION

          public static final int FAIL_SETTED_LOCAL_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FAIL_SETTED_REMOTE_DESCRIPTION

          public static final int FAIL_SETTED_REMOTE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### PERMISSIONS_FOR_SCREENCAST_DENIED

          public static final int PERMISSIONS_FOR_SCREENCAST_DENIED

      See Also:
        Constant Field Values

    - #### ASKING_PERMISSIONS

          public static final int ASKING_PERMISSIONS

      See Also:
        Constant Field Values

    - #### SETUP_SCREEN_CONNECTION

          public static final int SETUP_SCREEN_CONNECTION

      See Also:
        Constant Field Values

    - #### LOCAL_DESCRIPTOR_CREATE

          public static final int LOCAL_DESCRIPTOR_CREATE

      See Also:
        Constant Field Values

    - #### REMOTE_DESCRIPTOR_CREATE

          public static final int REMOTE_DESCRIPTOR_CREATE

      See Also:
        Constant Field Values

    - #### LOCAL_DESCRIPTOR_SETTED

          public static final int LOCAL_DESCRIPTOR_SETTED

      See Also:
        Constant Field Values

    - #### REMOTE_DESCRIPTOR_SETTED

          public static final int REMOTE_DESCRIPTOR_SETTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SetupStates

          public SetupStates()